Page MenuHomePhabricator

[Statements-ui] Implement other Property-Snak types than Property-Value Snaks
Closed, ResolvedPublic

Description

It should be possible to create other Snak types than PropertyValueSnak. Generate a generic system to edit different Property-Snak types, start with PropertySomeValue and PropertyNoValue Snaks.


Version: unspecified
Severity: normal
Whiteboard: Storypoints: 21

Details

Reference
bz43304

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:59 AM
bzimport set Reference to bz43304.
Danwe created this task.Dec 20 2012, 5:54 PM

wikidata-bugs wrote:

Change I5b4d11e9: (Bug 43304) Changed DOM for snak type selector

wikidata-bugs wrote:

Change Ic4a7b164: (bug 43304) Mechanism for supporting different Snak types in the user interface

wikidata-bugs wrote:

Change I5751f0d3: (bug 43304) Added snakview variation definition for handling of SomeValueSnaks

wikidata-bugs wrote:

Change I57f62c5b: (bug 43304) Added snakview variation definition for handling of NoValueSnaks

wikidata-bugs wrote:

Change I0534ec7a: (bug 43304) Refactoring of Snakview variations registration

wikidata-bugs wrote:

Change Iecad3f6a: (bug 43304) Added snakview variation definition for handling of NoValueSnaks.
Change merged.

wikidata-bugs wrote:

Change I9a27c299: (bug 43304) Snak type selector for snakview widget.
Change merged.

wikidata-bugs wrote:

Change I49a21e61: (bug 43304) Moved snak type selector for snakview widget into its own widget

wikidata-bugs wrote:

Change Ia479b2d5: (bug 43304) Selecting a Snak type will show UI changes

wikidata-bugs wrote:

Change I2411ce2c: (bug 43304) "change" event and snakType function for SnakTypeSelector

Verified in Wikidata demo sprint 28

wikidata-bugs wrote:

Change Ia479b2d5: (bug 43304) Selecting a Snak type will show UI changes.
Change merged.

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:08 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript